Index: ./i386/ibcs2/syscalls.master
===================================================================
RCS file: /home/ncvs/src/sys/i386/ibcs2/syscalls.master,v
retrieving revision 1.19
diff -u -r1.19 syscalls.master
--- ./i386/ibcs2/syscalls.master	24 Aug 2004 20:21:21 -0000	1.19
+++ ./i386/ibcs2/syscalls.master	29 May 2005 23:44:41 -0000
@@ -6,6 +6,11 @@
 
 ; Columns: number type nargs name alt{name,tag,rtyp}/comments
 ;	number	system call number, must be in order
+;	audit	the audit event associated with the system call
+;		A value of AUE_NULL means no auditing, but it also means that
+;		there is no audit event for the call at this time. For the
+;		case where the event exists, but we don't want auditing, the
+;		event should be #defined to AUE_NULL in audit_kevents.h.
 ;	type	one of STD, OBSOL, UNIMPL, COMPAT
 ;	name	psuedo-prototype of syscall routine
 ;		If one of the following alts is different, then all appear:
@@ -30,141 +35,173 @@
 
 ; #ifdef's, etc. may be included, and are copied to the output files.
 
-0	NOPROTO	{ int nosys(void); } syscall nosys_args int
-1	MNOPROTO { void sys_exit(int rval); } exit sys_exit_args void
-2	MNOPROTO { int fork(void); }
-3	STD	{ int ibcs2_read(int fd, char *buf, u_int nbytes); }
-4	MNOPROTO { int write(int fd, char *buf, u_int nbytes); }
-5	STD	{ int ibcs2_open(char *path, int flags, int mode); }
-6	MNOPROTO { int close(int fd); }
-7	MSTD	{ int ibcs2_wait(int a1, int a2, int a3); }
-8	STD	{ int ibcs2_creat(char *path, int mode); }
-9	NOPROTO	{ int link(char *path, char *link); }
-10	STD	{ int ibcs2_unlink(char *path); }
-11	STD	{ int ibcs2_execv(char *path, char **argp); }
-12	STD	{ int ibcs2_chdir(char *path); }
-13	STD	{ int ibcs2_time(ibcs2_time_t *tp); }
-14	STD	{ int ibcs2_mknod(char* path, int mode, int dev); }
-15	STD	{ int ibcs2_chmod(char *path, int mode); }
-16	STD	{ int ibcs2_chown(char *path, int uid, int gid); }
-17	NOPROTO	{ int obreak(caddr_t nsize); }
-18	STD	{ int ibcs2_stat(char* path, struct ibcs2_stat *st); }
-19	STD	{ long ibcs2_lseek(int fd, long offset, int whence); }
-20	MNOPROTO { pid_t getpid(void); }
-21	STD	{ int ibcs2_mount(char *special, char *dir, int flags, \
-		    int fstype, char *data, int len); }
-22	STD	{ int ibcs2_umount(char *name); }
-23	MSTD	{ int ibcs2_setuid(int uid); }
-24	MNOPROTO { uid_t getuid(void); }
-25	STD	{ int ibcs2_stime(long *timep); }
-26	MNOPROTO { int ptrace(int req, pid_t pid, caddr_t addr, int data); }
-27	STD	{ int ibcs2_alarm(unsigned sec); }
-28	STD	{ int ibcs2_fstat(int fd, struct ibcs2_stat *st); }
-29	MSTD	{ int ibcs2_pause(void); }
-30	STD	{ int ibcs2_utime(char *path, struct ibcs2_utimbuf *buf); }
-31	STD	{ int ibcs2_stty(int fd, struct sgttyb *buf); }
-32	STD	{ int ibcs2_gtty(int fd, struct sgttyb *buf); }
-33	STD	{ int ibcs2_access(char *path, int flags); }
-34	MSTD	{ int ibcs2_nice(int incr); }
-35	STD	{ int ibcs2_statfs(char *path, struct ibcs2_statfs *buf, \
-		    int len, int fstype); }
-36	NOPROTO	{ int sync(void); }
-37	MSTD	{ int ibcs2_kill(int pid, int signo); }
-38	STD	{ int ibcs2_fstatfs(int fd, struct ibcs2_statfs *buf, \
-		    int len, int fstype); }
-39	MSTD	{ int ibcs2_pgrpsys(int type, caddr_t dummy, int pid, \
-		    int pgid); }
-40	STD	{ int ibcs2_xenix(int a1, int a2, int a3, int a4, int a5); }
-41	MNOPROTO { int dup(u_int fd); }
-42	MNOPROTO { int pipe(void); }
-43	STD	{ int ibcs2_times(struct tms *tp); }
-44	MNOPROTO { int profil(caddr_t samples, u_int size, u_int offset, \
-		    u_int scale); }
-45	STD	{ int ibcs2_plock(int cmd); }
-46	MSTD	{ int ibcs2_setgid(int gid); }
-47	MNOPROTO { gid_t getgid(void); }
-48	STD	{ int ibcs2_sigsys(int sig, ibcs2_sig_t fp); }
-49	STD	{ int ibcs2_msgsys(int which, int a2, int a3, int a4, int a5, \
-		    int a6); }
-50	STD	{ int ibcs2_sysi86(int cmd, int *arg); }
-51	UNIMPL	ibcs2_acct
-52	STD	{ int ibcs2_shmsys(int which, int a2, int a3, int a4); }
-53	STD	{ int ibcs2_semsys(int which, int a2, int a3, int a4, int a5); }
-54	STD	{ int ibcs2_ioctl(int fd, int cmd, caddr_t data); }
-55	STD	{ int ibcs2_uadmin(int cmd, int func, caddr_t data); }
-56	UNIMPL	nosys
-57	STD	{ int ibcs2_utssys(int a1, int a2, int flag); }
-58      NOPROTO { int fsync(int fd); }
-59	STD	{ int ibcs2_execve(char *path, char **argp, char **envp); }
-60	MNOPROTO { int umask(int newmask); }
-61	NOPROTO	{ int chroot(char *path); }
-62	MSTD	{ int ibcs2_fcntl(int fd, int cmd, char *arg); }
-63	MSTD	{ long ibcs2_ulimit(int cmd, int newlimit); }
-64	UNIMPL	reserved for unix/pc
-65	UNIMPL	reserved for unix/pc
-66	UNIMPL	reserved for unix/pc
-67	UNIMPL	reserved for unix/pc
-68	UNIMPL	reserved for unix/pc
-69	UNIMPL	reserved for unix/pc
-70	OBSOL	rfs_advfs
-71	OBSOL	rfs_unadvfs
-72	OBSOL	rfs_rmount
-73	OBSOL	rfs_rumount
-74	OBSOL	rfs_rfstart
-75	OBSOL	rfs_sigret
-76	OBSOL	rfs_rdebug
-77	OBSOL	rfs_rfstop
-78	UNIMPL	rfs_rfsys
-79	STD	{ int ibcs2_rmdir(char *path); }
-80	STD	{ int ibcs2_mkdir(char *path, int mode); }
-81	STD	{ int ibcs2_getdents(int fd, char *buf, int nbytes); }
-82	UNIMPL	nosys
-83	UNIMPL	nosys
-84	STD	{ int ibcs2_sysfs(int cmd, caddr_t d1, char *buf); }
-85	STD	{ int ibcs2_getmsg(int fd, struct ibcs2_stropts *ctl, \
-		    struct ibcs2_stropts *dat, int *flags); }
-86	STD	{ int ibcs2_putmsg(int fd, struct ibcs2_stropts *ctl, \
-		    struct ibcs2_stropts *dat, int flags); }
-87	STD	{ int ibcs2_poll(struct ibcs2_poll *fds, long nfds, \
-		    int timeout); }
-88	UNIMPL	nosys
-89	STD	{ int ibcs2_secure(int cmd, int a1, int a2, int a3, int a4, \
-		    int a5); }
-90	STD	{ int ibcs2_symlink(char *path, char *link); }
-91	STD	{ int ibcs2_lstat(char *path, struct ibcs2_stat *st); }
-92	STD	{ int ibcs2_readlink(char *path, char *buf, int count); }
-93	UNIMPL	nosys
-94	UNIMPL	nosys
-95	UNIMPL	nosys
-96	UNIMPL	nosys
-97	UNIMPL	nosys
-98	UNIMPL	nosys
-99	UNIMPL	nosys
-100	UNIMPL	nosys
-101	UNIMPL	nosys
-102	UNIMPL	nosys
-103	MNOPROTO { int sigreturn(struct sigcontext *sigcntxp); }
-104	UNIMPL	nosys
-105	STD	{ int ibcs2_isc(void); }
-106	UNIMPL	nosys
-107	UNIMPL	nosys
-108	UNIMPL	nosys
-109	UNIMPL	nosys
-110	UNIMPL	nosys
-111	UNIMPL	nosys
-112	UNIMPL	nosys
-113	UNIMPL	nosys
-114	UNIMPL	nosys
-115	UNIMPL	nosys
-116	UNIMPL	nosys
-117	UNIMPL	nosys
-118	UNIMPL	nosys
-119	UNIMPL	nosys
-120	UNIMPL	nosys
-121	UNIMPL	nosys
-122	UNIMPL	nosys
-123	UNIMPL	nosys
-124	UNIMPL	nosys
-125	UNIMPL	nosys
-126	UNIMPL	nosys
-127	UNIMPL	nosys
+0	AUE_NULL	NOPROTO	{ int nosys(void); } syscall nosys_args int
+1	AUE_NULL	MNOPROTO { void sys_exit(int rval); } exit \
+				    sys_exit_args void
+2	AUE_NULL	MNOPROTO { int fork(void); }
+3	AUE_NULL	STD	{ int ibcs2_read(int fd, char *buf, \
+				    u_int nbytes); }
+4	AUE_NULL	MNOPROTO { int write(int fd, char *buf, \
+				    u_int nbytes); }
+5	AUE_NULL	STD	{ int ibcs2_open(char *path, int flags, \
+				    int mode); }
+6	AUE_NULL	MNOPROTO { int close(int fd); }
+7	AUE_NULL	MSTD	{ int ibcs2_wait(int a1, int a2, int a3); }
+8	AUE_NULL	STD	{ int ibcs2_creat(char *path, int mode); }
+9	AUE_NULL	NOPROTO	{ int link(char *path, char *link); }
+10	AUE_NULL	STD	{ int ibcs2_unlink(char *path); }
+11	AUE_NULL	STD	{ int ibcs2_execv(char *path, char **argp); }
+12	AUE_NULL	STD	{ int ibcs2_chdir(char *path); }
+13	AUE_NULL	STD	{ int ibcs2_time(ibcs2_time_t *tp); }
+14	AUE_NULL	STD	{ int ibcs2_mknod(char* path, int mode, \
+				    int dev); }
+15	AUE_NULL	STD	{ int ibcs2_chmod(char *path, int mode); }
+16	AUE_NULL	STD	{ int ibcs2_chown(char *path, int uid, \
+				    int gid); }
+17	AUE_NULL	NOPROTO	{ int obreak(caddr_t nsize); }
+18	AUE_NULL	STD	{ int ibcs2_stat(char* path, \
+				    struct ibcs2_stat *st); }
+19	AUE_NULL	STD	{ long ibcs2_lseek(int fd, long offset, \
+				    int whence); }
+20	AUE_NULL	MNOPROTO { pid_t getpid(void); }
+21	AUE_NULL	STD	{ int ibcs2_mount(char *special, char *dir, \
+				    int flags, int fstype, char *data, \
+				    int len); }
+22	AUE_NULL	STD	{ int ibcs2_umount(char *name); }
+23	AUE_NULL	MSTD	{ int ibcs2_setuid(int uid); }
+24	AUE_NULL	MNOPROTO { uid_t getuid(void); }
+25	AUE_NULL	STD	{ int ibcs2_stime(long *timep); }
+26	AUE_NULL	MNOPROTO { int ptrace(int req, pid_t pid, \
+				    caddr_t addr, int data); }
+27	AUE_NULL	STD	{ int ibcs2_alarm(unsigned sec); }
+28	AUE_NULL	STD	{ int ibcs2_fstat(int fd, \
+				    struct ibcs2_stat *st); }
+29	AUE_NULL	MSTD	{ int ibcs2_pause(void); }
+30	AUE_NULL	STD	{ int ibcs2_utime(char *path, \
+				    struct ibcs2_utimbuf *buf); }
+31	AUE_NULL	STD	{ int ibcs2_stty(int fd, \
+				    struct sgttyb *buf); }
+32	AUE_NULL	STD	{ int ibcs2_gtty(int fd, \
+				    struct sgttyb *buf); }
+33	AUE_NULL	STD	{ int ibcs2_access(char *path, int flags); }
+34	AUE_NULL	MSTD	{ int ibcs2_nice(int incr); }
+35	AUE_NULL	STD	{ int ibcs2_statfs(char *path, \
+				    struct ibcs2_statfs *buf, int len, \
+				    int fstype); }
+36	AUE_NULL	NOPROTO	{ int sync(void); }
+37	AUE_NULL	MSTD	{ int ibcs2_kill(int pid, int signo); }
+38	AUE_NULL	STD	{ int ibcs2_fstatfs(int fd, \
+				    struct ibcs2_statfs *buf, int len, \
+				    int fstype); }
+39	AUE_NULL	MSTD	{ int ibcs2_pgrpsys(int type, caddr_t dummy, \
+				    int pid, int pgid); }
+40	AUE_NULL	STD	{ int ibcs2_xenix(int a1, int a2, int a3, \
+				    int a4, int a5); }
+41	AUE_NULL	MNOPROTO { int dup(u_int fd); }
+42	AUE_NULL	MNOPROTO { int pipe(void); }
+43	AUE_NULL	STD	{ int ibcs2_times(struct tms *tp); }
+44	AUE_NULL	MNOPROTO { int profil(caddr_t samples, u_int size, \
+				    u_int offset, u_int scale); }
+45	AUE_NULL	STD	{ int ibcs2_plock(int cmd); }
+46	AUE_NULL	MSTD	{ int ibcs2_setgid(int gid); }
+47	AUE_NULL	MNOPROTO { gid_t getgid(void); }
+48	AUE_NULL	STD	{ int ibcs2_sigsys(int sig, ibcs2_sig_t fp); }
+49	AUE_NULL	STD	{ int ibcs2_msgsys(int which, int a2, \
+				    int a3, int a4, int a5, int a6); }
+50	AUE_NULL	STD	{ int ibcs2_sysi86(int cmd, int *arg); }
+51	AUE_NULL	UNIMPL	ibcs2_acct
+52	AUE_NULL	STD	{ int ibcs2_shmsys(int which, int a2, \
+				    int a3, int a4); }
+53	AUE_NULL	STD	{ int ibcs2_semsys(int which, int a2, \
+				    int a3, int a4, int a5); }
+54	AUE_NULL	STD	{ int ibcs2_ioctl(int fd, int cmd, \
+				    caddr_t data); }
+55	AUE_NULL	STD	{ int ibcs2_uadmin(int cmd, int func, \
+				    caddr_t data); }
+56	AUE_NULL	UNIMPL	nosys
+57	AUE_NULL	STD	{ int ibcs2_utssys(int a1, int a2, \
+				    int flag); }
+58      AUE_NULL	NOPROTO { int fsync(int fd); }
+59	AUE_NULL	STD	{ int ibcs2_execve(char *path, char **argp, \
+				    char **envp); }
+60	AUE_NULL	MNOPROTO { int umask(int newmask); }
+61	AUE_NULL	NOPROTO	{ int chroot(char *path); }
+62	AUE_NULL	MSTD	{ int ibcs2_fcntl(int fd, int cmd, \
+				    char *arg); }
+63	AUE_NULL	MSTD	{ long ibcs2_ulimit(int cmd, int newlimit); }
+64	AUE_NULL	UNIMPL	reserved for unix/pc
+65	AUE_NULL	UNIMPL	reserved for unix/pc
+66	AUE_NULL	UNIMPL	reserved for unix/pc
+67	AUE_NULL	UNIMPL	reserved for unix/pc
+68	AUE_NULL	UNIMPL	reserved for unix/pc
+69	AUE_NULL	UNIMPL	reserved for unix/pc
+70	AUE_NULL	OBSOL	rfs_advfs
+71	AUE_NULL	OBSOL	rfs_unadvfs
+72	AUE_NULL	OBSOL	rfs_rmount
+73	AUE_NULL	OBSOL	rfs_rumount
+74	AUE_NULL	OBSOL	rfs_rfstart
+75	AUE_NULL	OBSOL	rfs_sigret
+76	AUE_NULL	OBSOL	rfs_rdebug
+77	AUE_NULL	OBSOL	rfs_rfstop
+78	AUE_NULL	UNIMPL	rfs_rfsys
+79	AUE_NULL	STD	{ int ibcs2_rmdir(char *path); }
+80	AUE_NULL	STD	{ int ibcs2_mkdir(char *path, int mode); }
+81	AUE_NULL	STD	{ int ibcs2_getdents(int fd, char *buf, \
+				    int nbytes); }
+82	AUE_NULL	UNIMPL	nosys
+83	AUE_NULL	UNIMPL	nosys
+84	AUE_NULL	STD	{ int ibcs2_sysfs(int cmd, caddr_t d1, \
+				    char *buf); }
+85	AUE_NULL	STD	{ int ibcs2_getmsg(int fd, \
+				    struct ibcs2_stropts *ctl, \
+				    struct ibcs2_stropts *dat, int *flags); }
+86	AUE_NULL	STD	{ int ibcs2_putmsg(int fd, \
+				    struct ibcs2_stropts *ctl, \
+				    struct ibcs2_stropts *dat, int flags); }
+87	AUE_NULL	STD	{ int ibcs2_poll(struct ibcs2_poll *fds, \
+				    long nfds, int timeout); }
+88	AUE_NULL	UNIMPL	nosys
+89	AUE_NULL	STD	{ int ibcs2_secure(int cmd, int a1, int a2, \
+				    int a3, int a4, int a5); }
+90	AUE_NULL	STD	{ int ibcs2_symlink(char *path, \
+				    char *link); }
+91	AUE_NULL	STD	{ int ibcs2_lstat(char *path, \
+				    struct ibcs2_stat *st); }
+92	AUE_NULL	STD	{ int ibcs2_readlink(char *path, char *buf, \
+				    int count); }
+93	AUE_NULL	UNIMPL	nosys
+94	AUE_NULL	UNIMPL	nosys
+95	AUE_NULL	UNIMPL	nosys
+96	AUE_NULL	UNIMPL	nosys
+97	AUE_NULL	UNIMPL	nosys
+98	AUE_NULL	UNIMPL	nosys
+99	AUE_NULL	UNIMPL	nosys
+100	AUE_NULL	UNIMPL	nosys
+101	AUE_NULL	UNIMPL	nosys
+102	AUE_NULL	UNIMPL	nosys
+103	AUE_NULL	MNOPROTO { int sigreturn( \
+				    struct sigcontext *sigcntxp); }
+104	AUE_NULL	UNIMPL	nosys
+105	AUE_NULL	STD	{ int ibcs2_isc(void); }
+106	AUE_NULL	UNIMPL	nosys
+107	AUE_NULL	UNIMPL	nosys
+108	AUE_NULL	UNIMPL	nosys
+109	AUE_NULL	UNIMPL	nosys
+110	AUE_NULL	UNIMPL	nosys
+111	AUE_NULL	UNIMPL	nosys
+112	AUE_NULL	UNIMPL	nosys
+113	AUE_NULL	UNIMPL	nosys
+114	AUE_NULL	UNIMPL	nosys
+115	AUE_NULL	UNIMPL	nosys
+116	AUE_NULL	UNIMPL	nosys
+117	AUE_NULL	UNIMPL	nosys
+118	AUE_NULL	UNIMPL	nosys
+119	AUE_NULL	UNIMPL	nosys
+120	AUE_NULL	UNIMPL	nosys
+121	AUE_NULL	UNIMPL	nosys
+122	AUE_NULL	UNIMPL	nosys
+123	AUE_NULL	UNIMPL	nosys
+124	AUE_NULL	UNIMPL	nosys
+125	AUE_NULL	UNIMPL	nosys
+126	AUE_NULL	UNIMPL	nosys
+127	AUE_NULL	UNIMPL	nosys
Index: ./i386/linux/syscalls.master
===================================================================
RCS file: /home/ncvs/src/sys/i386/linux/syscalls.master,v
retrieving revision 1.59
diff -u -r1.59 syscalls.master
--- ./i386/linux/syscalls.master	7 Mar 2005 00:18:06 -0000	1.59
+++ ./i386/linux/syscalls.master	29 May 2005 23:57:29 -0000
@@ -6,6 +6,11 @@
 
 ; Columns: number type nargs name alt{name,tag,rtyp}/comments
 ;	number	system call number, must be in order
+;	audit	the audit event associated with the system call
+;		A value of AUE_NULL means no auditing, but it also means that
+;		there is no audit event for the call at this time. For the
+;		case where the event exists, but we don't want auditing, the
+;		event should be #defined to AUE_NULL in audit_kevents.h.
 ;	type	one of STD, OBSOL, UNIMPL, COMPAT
 ;	name	psuedo-prototype of syscall routine
 ;		If one of the following alts is different, then all appear:
@@ -15,11 +20,11 @@
 ;		for UNIMPL/OBSOL, name continues with comments
 
 ; types:
-;	STD	always included
+;	AUE_NULL	STD	always included
 ;	COMPAT	included on COMPAT #ifdef
 ;	LIBCOMPAT included on COMPAT #ifdef, and placed in syscall.h
 ;	OBSOL	obsolete, not included in system, only specifies name
-;	UNIMPL	not implemented, placeholder only
+;	AUE_NULL	UNIMPL	not implemented, placeholder only
 
 #include "opt_compat.h"
 #include <sys/param.h>
